#pragma once
#include "CommonScript.h"

class GetLastDaysHistoryScript final : public CommonScript {
    Q_OBJECT

public:
    ~GetLastDaysHistoryScript() override;

    explicit GetLastDaysHistoryScript(
        AccountInfo account,
        QObject *parent = nullptr
    );

protected:
    void doStart() override;

private:
    const AccountInfo m_account;

    bool openAndSaveDitailInfo(TransactionInfo &transaction, int width, int height);
};
